Subject: Re: [bug#41565] [PATCH] doc: Use existing URLs and file names in installation instructions.

From: Leo Famulari <[email-masked]>
Date: Wed, 27 May 2020 13:17:30 -0400

On Wed, May 27, 2020 at 05:30:13PM +0200, Julien Lepiller wrote:
> Some users seem to be confused by the fact that our URLs in the manual
> don't work for them.  This is most likely because they copy them
> without reading the rest of the text which clearly says they should
> replace @var{system} with one of the supported values.  One example of
> this confusion is this conversation:
> https://mastodon.social/@Nixfreak/104224784493287104
> 
> Since our current approach doesn't seem to be very effective, I propose
> to change the URLs and file names with actual ones, using x86_64-linux
> as the system because this is the most popular platform that we support
> nowadays.  I keep mentioning the other architectures as alternatives,
> hoping that users will notice the x86_64 in the URL and keep reading to
> learn how to install Guix for another architecture if they want to.

I agree, it's a common mistake for new users. Your patch seems like the
right thing to do...